# Retrieve an app install

Retrieves an app install. The installing account, the app’s developer (with the keys of the account that owns the app or of the app’s managed sandbox), and the embedding platform that created the install can retrieve it.

## Request

```curl
curl https://api.stripe.com/v1/apps/installs/appinst_test_61VGZmT4pXc8Rk2w41LUZiLcTVChK7Ab \
  -u "<<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive"
```

### Response

```json
{
  "id": "appinst_test_61VGZmT4pXc8Rk2w41LUZiLcTVChK7Ab",
  "object": "apps.install",
  "account": "acct_1LQeGxLUZiLcTVCh",
  "app": "app_61VGZkQ7mRbN3xPa41LUZiLcTVChQ9Ye",
  "approval_required": false,
  "auth_code": null,
  "channel": "public",
  "content_security_policy_granted": {
    "connect_src": [
      "https://api.example.com/"
    ],
    "image_src": [
      "https://cdn.example.com/"
    ]
  },
  "content_security_policy_pending": {
    "connect_src": [],
    "image_src": []
  },
  "created": 1725000000,
  "created_by": null,
  "endpoints_granted": [
    "https://example.com/stripe/webhook"
  ],
  "endpoints_pending": [],
  "livemode": false,
  "permissions_granted": [
    "customer_read",
    "event_read"
  ],
  "permissions_pending": [],
  "status": "installed"
}
```

## Parameters

- `id` (string, required)
  Unique identifier for the object.

## Returns

Returns the app install
